This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 509777

Summary: F11 text mode install from CD #1 is demanding a network connection when not needed
Product: [Fedora] Fedora Reporter: Patrick J. Maloney <patrick_maloney>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED CANTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 11CC: dmarlin, harald, jscotka, rmaximo, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-03-17 07:41:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Storage.log
none
Anaconda.log
none
Proposed patch none

Description Patrick J. Maloney 2009-07-06 03:16:53 EDT
Description of problem:
Trying to install Fedora 11 on an old Pentium MMX laptop which only has a CD drive (old BIOS...won't boot off of USB either).  It only has 192MB of RAM so text mode is forced.  I picked the install/upgrade option.  Based on the docs, I'm expecting this install to only install base/core groups to give me a minimal install.

However, at some point, it says "Some of the configured repositories require a network connection and there was an error configuring the network device.".

I'm expecting this install to work from the CD's.  I have a PCMCIA network card, but I get the same error with or without it installed and connected to my network.  But, that should be irrelevant...why is it demanding a network connection be present?

I did do the media check and the CD is reported as okay.

Version-Release number of selected component (if applicable):
11.5.xxx

How reproducible:
Try to install Fedora

Steps to Reproduce:
1. Boot from CD #1
2. Try to install
3.
  
Actual results:
Install fails

Expected results:
Successful installation.

Additional info:
Comment 1 D. Marlin 2009-07-08 11:18:52 EDT
I have encountered this same problem when installing Fedora 11 from CD.  It only seems to occur when using certain older CD-ROM drives, for example I did not encounter the problem when installing on a Dell Optiplex GX620 (HLDS GCR-8240N CD-ROM drive), but I did encounter it when installing on an older Dell Precision 420 (Lite-On LTN483S CD-ROM drive).

Other drives that been reported to have this problem include the Light-on LT486S and the TEAC CD-W54E.  Swapping to a newer CD-ROM drive avoids the problem.

This problem did not exist in Fedora 10 using the same systems and drives.
Comment 2 Patrick J. Maloney 2009-07-08 21:12:04 EDT
In image.py, the dev.format.mount(mountpoint=tree) call in scanForMedia is failing on the CD-ROM for some reason.  I'm still trying to get an error code or message of some sort.
Comment 3 Chris Lumens 2009-07-09 15:23:05 EDT
Any messages on tty3 or tty4?  Anything in /tmp/storage.log or /tmp/anaconda.log?  You could always modify image.py to remove the try...except around that call to mount, supply that new file as an updates image, and see what exception results.
Comment 4 Patrick J. Maloney 2009-07-10 00:17:16 EDT
Chris,
Good suggestion!  I was wondering why my attempts at debugging inside of mount() weren't producing anything.  device.format in scanForMedia is of type DeviceFormat which does not have the mount method!  Shouldn't it be of type Iso9660FS?

I didn't know the other ttys were accessible which helped a lot.  I attached storage.log (sr0 is the cdrom device and it shows getFormat returning DeviceFormat instance) and anaconda.log.

If you don't have a long-term solution, maybe you can suggest a patch to force it to be what I need.

Thanks, Patrick
Comment 5 Patrick J. Maloney 2009-07-10 00:18:03 EDT
Created attachment 351208 [details]
Storage.log
Comment 6 Patrick J. Maloney 2009-07-10 00:18:28 EDT
Created attachment 351209 [details]
Anaconda.log
Comment 7 Patrick J. Maloney 2009-07-10 02:07:30 EDT
Success!  I got the install to work by forcing iso9660 fs for the cdrom device.  I'll post my patch tomorrow night.
Comment 8 Chris Lumens 2009-07-10 10:49:58 EDT
The problem here is that udev isn't giving us an ID_FS_TYPE for your CD drive, for some reason.  We key on that to determine what the format should be.  You can see the problem if you look at the hash dump immediately before the line about "no type or existing type, bailing".

This seems awful familiar.
Comment 9 Patrick J. Maloney 2009-07-12 23:27:58 EDT
I attached my patch.  Originally, I hard-coded my device for a quick-and-dirty fix.  I made it more generic and retested it and it does work.  However, the better solution might be to modify how the 'info' structure is populated to make sure an fs type is present, but I'll leave that decision to the experts :)
Comment 10 Patrick J. Maloney 2009-07-12 23:28:46 EDT
Created attachment 351422 [details]
Proposed patch